# Generated from generic_app-3.0.22.gem by gem2rpm -*- rpm-spec -*-
%global gem_name generic_app

Name: rubygem-%{gem_name}
Version: 3.0.22
Release: 1%{?dist}
Summary: Save time by instantly creating a generic Rails app
License: MIT
URL: https://bitbucket.org/rubyonracetracks/generic_app/src/master/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit)
# BuildRequires: rubygem(codecov)
# BuildRequires: rubygem(gemsurance)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(ruby-graphviz)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Instead of creating your Rails app from scratch, start with a prebuilt
template.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/generic_app
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/all.sh
%{gem_instdir}/bin
%{gem_instdir}/code_test.sh
%{gem_instdir}/credentials.sh
%{gem_instdir}/gem_console.sh
%{gem_instdir}/gem_install.sh
%{gem_instdir}/gem_test.sh
%{gem_instdir}/git_check.sh
%{gem_libdir}
%{gem_instdir}/long_test.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/generic_app.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 3.0.22-1
- Initial package
